﻿using BPA.Utility;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HBLDevice.ICChip
{
    public class TakeCupEvent : IEvent
    {
        /// <summary>
        /// 杯
        /// </summary>
        public IC_CUP Cup { get; set; }
    }

    public class MakeIceCreamEvent : IEvent
    {
        public IC_SE SteeringEngine { get; set; }
    }

    public class SESwitchCreamEvent : IEvent
    {
        public IC_SE SteeringEngine { get; set; }
        public bool IsOpen { get; set; }
    }

    public class RotorSwitchEvent : IEvent
    {
        public bool TurnOn { get; set; }
    }
    /// <summary>
    /// 检测有无杯子
    /// </summary>
    public class ArticleExitsEvent : IEvent
    {
        
    }
    /// <summary>
    /// 检测物品距离
    /// </summary>
    public class ArticleDistEvent : IEvent
    {

    }
}
